%define	module_name	libwww
%define	enable_tests	0

%define	__find_provides	%{_libdir}/rpm/find-provides.perl
%define	__find_requires	%{_libdir}/rpm/find-requires.perl

Summary:	LWP modules for perl.
Name:		perl-%{module_name}
Group:		Utilities/CPAN
License:	distributable
Version:	5.803
Release:	2
Source0:	%{module_name}-perl-%{version}.tar.gz
Patch0:		libwww-5.800-remove-lame-modules-gd-1.diff
Requires:	perl >= 5.8.5, util-linux
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/

%description
LWP modules for perl.

%files -f %{module_name}-%{version}-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{module_name}-perl-%{version}
%patch0 -p1

%build
  export OPTIMIZE="$RPM_OPT_FLAGS"
  export CFLAGS="$RPM_OPT_FLAGS"
  yes | perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLDIRS=vendor
  make

  %if %{enable_tests}
    make test || :
  %endif

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install

  [ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

  # Kill unused files.
  find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

  # Build filelist.
  find $RPM_BUILD_ROOT/%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{module_name}-%{version}-filelist

  # Sanity check.
  if [ "$(cat %{module_name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.803, Release 2
  - Don't look for brp-compress in %{_libdir} as it doesn't
    work on 64bit systems.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.803, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
